Loading...
Searching...
No Matches
ARC_Vector Struct Reference

a private dynamic array type More...

## Data Fields

uint32_t | currentCapacity
uint32_t | currentSize
void ** | data
ARC_Vector_CompareDataFn | compareDataFn
ARC_Vector_DestroyDataFn * | destroyDataFn

## Detailed Description

a private dynamic array type

Definition at line 12 of file vector.c.

## Field Documentation

## compareDataFn

ARC_Vector_CompareDataFn ARC_Vector::compareDataFn

Definition at line 18 of file vector.c.

Referenced by ARC_Vector_Remove().

## currentCapacity

uint32_t ARC_Vector::currentCapacity

Definition at line 13 of file vector.c.

Referenced by ARC_Vector_Add(), and ARC_Vector_RemoveIndex().

## currentSize

uint32_t ARC_Vector::currentSize

Definition at line 14 of file vector.c.

Referenced by ARC_Vector_Add(), ARC_Vector_Get(), ARC_Vector_GetSize(), ARC_Vector_Remove(), and ARC_Vector_RemoveIndex().

## data

void** ARC_Vector::data

Definition at line 16 of file vector.c.

Referenced by ARC_Vector_Add(), ARC_Vector_Create(), ARC_Vector_Destroy(), ARC_Vector_Get(), ARC_Vector_Remove(), and ARC_Vector_RemoveIndex().

## destroyDataFn

ARC_Vector_DestroyDataFn* ARC_Vector::destroyDataFn

Definition at line 19 of file vector.c.

Referenced by ARC_Vector_Destroy(), and ARC_Vector_RemoveIndex().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/src/std/vector.c